<template>
  <j-modal
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <template slot="title">
      <div class="custom-title">
        专家建议
      </div>
    </template>
    <bu-device-online-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></bu-device-online-form>
  </j-modal>
</template>

<script>

  import BuDeviceOnlineForm from './BuDeviceOnlineForm'
  export default {
    name: 'BuDeviceOnlineModal',
    components: {
      BuDeviceOnlineForm
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false,
        deviceDisabled: false, //从设备界面新增设备在线状态
      }
    },
    created() {
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>
<style lang="less">
.custom-title {
  font-size: 20px;
  margin-left: 50%;
  //text-align: center;
  //font-weight: bold;
  color: #0a0000; /* 你可以更换成你想要的颜色 */
}
</style>